xine-lib: _GoomSL Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_GoomSL Struct Reference

`#include <goomsl_private.h>`

## Data Fields
int | num_lines
Instruction * | instr
InstructionFlow * | iflow
FastInstructionFlow * | fastiflow
GoomHash * | vars
int | currentNS
GoomHash * | namespaces [16]
GoomHash * | functions
GoomHeap * | data_heap
int | nbStructID
GoomHash * | structIDS
GSL_Struct ** | gsl_struct
int | gsl_struct_size
int | nbPtr
int | ptrArraySize
void ** | ptrArray
int | compilationOK

## Field Documentation

## ◆ compilationOK

int _GoomSL::compilationOK

Referenced by gsl_execute(), gsl_instr_add_param(), gsl_is_compiled(), gsl_new(), reset_scanner(), and yyerror().

## ◆ currentNS

int _GoomSL::currentNS

Referenced by gsl_enternamespace(), gsl_find_namespace(), gsl_float_decl_local(), gsl_int_decl_local(), gsl_leavenamespace(), gsl_new(), gsl_ptr_decl_local(), gsl_reenternamespace(), gsl_struct_decl_local(), and reset_scanner().

## ◆ data_heap

GoomHeap* _GoomSL::data_heap

Referenced by gsl_declare_var(), gsl_free(), gsl_new(), and reset_scanner().

## ◆ fastiflow

FastInstructionFlow* _GoomSL::fastiflow

Referenced by gsl_create_fast_iflow(), and gsl_execute().

## ◆ functions

GoomHash* _GoomSL::functions

Referenced by gsl_bind_function(), gsl_declare_external_task(), gsl_declare_task(), gsl_enternamespace(), gsl_free(), gsl_instr_validate(), gsl_new(), and new_call().

## ◆ gsl_struct

GSL_Struct** _GoomSL::gsl_struct

Referenced by gsl_add_struct(), gsl_declare_var(), gsl_free(), gsl_new(), gsl_prepare_struct(), and reset_scanner().

## ◆ gsl_struct_size

int _GoomSL::gsl_struct_size

Referenced by gsl_add_struct(), and gsl_new().

## ◆ iflow

InstructionFlow* _GoomSL::iflow

Referenced by gsl_compile(), gsl_create_fast_iflow(), gsl_free(), gsl_instr_add_param(), gsl_instr_validate(), gsl_new(), and reset_scanner().

## ◆ instr

Instruction* _GoomSL::instr

Referenced by commit_call(), commit_div_eq(), commit_ext_call(), commit_foreach(), commit_function_intro(), commit_function_outro(), commit_mul_eq(), commit_node(), commit_not(), commit_plus_eq(), commit_sub_eq(), commit_test2(), GSL_PUT_JUMP(), GSL_PUT_JXXX(), GSL_PUT_LABEL(), precommit_expr(), and reset_scanner().

## ◆ namespaces

GoomHash* _GoomSL::namespaces[16]

Referenced by gsl_enternamespace(), gsl_find_namespace(), gsl_float_decl_local(), gsl_int_decl_local(), gsl_leavenamespace(), gsl_new(), gsl_ptr_decl_local(), gsl_reenternamespace(), gsl_struct_decl_local(), and reset_scanner().

## ◆ nbPtr

int _GoomSL::nbPtr

Referenced by gsl_malloc(), and gsl_new().

## ◆ nbStructID

int _GoomSL::nbStructID

Referenced by gsl_add_struct(), gsl_new(), and reset_scanner().

## ◆ num_lines

int _GoomSL::num_lines

Referenced by gsl_compile(), gsl_declare_external_task(), gsl_enternamespace(), gsl_instr_add_param(), gsl_new_struct_field_struct(), new_call(), new_call_expr(), new_neg(), new_op(), new_static_foreach(), reset_scanner(), yyerror(), yylex(), and yyparse().

## ◆ ptrArray

void** _GoomSL::ptrArray

Referenced by gsl_free(), gsl_free_ptr(), gsl_get_ptr(), gsl_malloc(), gsl_new(), and yylex().

## ◆ ptrArraySize

int _GoomSL::ptrArraySize

Referenced by gsl_malloc(), and gsl_new().

## ◆ structIDS

GoomHash* _GoomSL::structIDS

Referenced by gsl_add_struct(), gsl_free(), gsl_get_struct_id(), gsl_new(), and reset_scanner().

## ◆ vars

GoomHash* _GoomSL::vars

Referenced by gsl_create_fast_iflow(), gsl_declare_var(), gsl_float_decl_global(), gsl_free(), gsl_globals(), gsl_int_decl_global(), gsl_new(), gsl_ptr_decl_global(), gsl_struct_decl_global_from_id(), iflow_execute(), and reset_scanner().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/goomsl_private.h